Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network97.32.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
97.32.0.0
Broadcast address
97.35.255.255
First usable
97.32.0.1
Last usable
97.35.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 61200000 · Integer 1629487104 to 1629749247
Reverse DNS zones
32.97.in-addr.arpa
33.97.in-addr.arpa
34.97.in-addr.arpa
35.97.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100001.00100000.00000000.0000000097.32.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01100001.00100000.00000000.0000000097.32.0.0
Broadcast01100001.00100011.11111111.1111111197.35.255.255
Split into smaller subnets/25

97.32.0.0/14 makes 2,048 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
197.32.0.0/2597.32.0.1 to 97.32.0.12697.32.0.127126
297.32.0.128/2597.32.0.129 to 97.32.0.25497.32.0.255126
397.32.1.0/2597.32.1.1 to 97.32.1.12697.32.1.127126
497.32.1.128/2597.32.1.129 to 97.32.1.25497.32.1.255126
597.32.2.0/2597.32.2.1 to 97.32.2.12697.32.2.127126
697.32.2.128/2597.32.2.129 to 97.32.2.25497.32.2.255126
797.32.3.0/2597.32.3.1 to 97.32.3.12697.32.3.127126
897.32.3.128/2597.32.3.129 to 97.32.3.25497.32.3.255126
997.32.4.0/2597.32.4.1 to 97.32.4.12697.32.4.127126
1097.32.4.128/2597.32.4.129 to 97.32.4.25497.32.4.255126
1197.32.5.0/2597.32.5.1 to 97.32.5.12697.32.5.127126
1297.32.5.128/2597.32.5.129 to 97.32.5.25497.32.5.255126
1397.32.6.0/2597.32.6.1 to 97.32.6.12697.32.6.127126
1497.32.6.128/2597.32.6.129 to 97.32.6.25497.32.6.255126
1597.32.7.0/2597.32.7.1 to 97.32.7.12697.32.7.127126
1697.32.7.128/2597.32.7.129 to 97.32.7.25497.32.7.255126
1797.32.8.0/2597.32.8.1 to 97.32.8.12697.32.8.127126
1897.32.8.128/2597.32.8.129 to 97.32.8.25497.32.8.255126
1997.32.9.0/2597.32.9.1 to 97.32.9.12697.32.9.127126
2097.32.9.128/2597.32.9.129 to 97.32.9.25497.32.9.255126
2197.32.10.0/2597.32.10.1 to 97.32.10.12697.32.10.127126
2297.32.10.128/2597.32.10.129 to 97.32.10.25497.32.10.255126
2397.32.11.0/2597.32.11.1 to 97.32.11.12697.32.11.127126
2497.32.11.128/2597.32.11.129 to 97.32.11.25497.32.11.255126
2597.32.12.0/2597.32.12.1 to 97.32.12.12697.32.12.127126
2697.32.12.128/2597.32.12.129 to 97.32.12.25497.32.12.255126
2797.32.13.0/2597.32.13.1 to 97.32.13.12697.32.13.127126
2897.32.13.128/2597.32.13.129 to 97.32.13.25497.32.13.255126
2997.32.14.0/2597.32.14.1 to 97.32.14.12697.32.14.127126
3097.32.14.128/2597.32.14.129 to 97.32.14.25497.32.14.255126
3197.32.15.0/2597.32.15.1 to 97.32.15.12697.32.15.127126
3297.32.15.128/2597.32.15.129 to 97.32.15.25497.32.15.255126
3397.32.16.0/2597.32.16.1 to 97.32.16.12697.32.16.127126
3497.32.16.128/2597.32.16.129 to 97.32.16.25497.32.16.255126
3597.32.17.0/2597.32.17.1 to 97.32.17.12697.32.17.127126
3697.32.17.128/2597.32.17.129 to 97.32.17.25497.32.17.255126
3797.32.18.0/2597.32.18.1 to 97.32.18.12697.32.18.127126
3897.32.18.128/2597.32.18.129 to 97.32.18.25497.32.18.255126
3997.32.19.0/2597.32.19.1 to 97.32.19.12697.32.19.127126
4097.32.19.128/2597.32.19.129 to 97.32.19.25497.32.19.255126
4197.32.20.0/2597.32.20.1 to 97.32.20.12697.32.20.127126
4297.32.20.128/2597.32.20.129 to 97.32.20.25497.32.20.255126
4397.32.21.0/2597.32.21.1 to 97.32.21.12697.32.21.127126
4497.32.21.128/2597.32.21.129 to 97.32.21.25497.32.21.255126
4597.32.22.0/2597.32.22.1 to 97.32.22.12697.32.22.127126
4697.32.22.128/2597.32.22.129 to 97.32.22.25497.32.22.255126
4797.32.23.0/2597.32.23.1 to 97.32.23.12697.32.23.127126
4897.32.23.128/2597.32.23.129 to 97.32.23.25497.32.23.255126
4997.32.24.0/2597.32.24.1 to 97.32.24.12697.32.24.127126
5097.32.24.128/2597.32.24.129 to 97.32.24.25497.32.24.255126
5197.32.25.0/2597.32.25.1 to 97.32.25.12697.32.25.127126
5297.32.25.128/2597.32.25.129 to 97.32.25.25497.32.25.255126
5397.32.26.0/2597.32.26.1 to 97.32.26.12697.32.26.127126
5497.32.26.128/2597.32.26.129 to 97.32.26.25497.32.26.255126
5597.32.27.0/2597.32.27.1 to 97.32.27.12697.32.27.127126
5697.32.27.128/2597.32.27.129 to 97.32.27.25497.32.27.255126
5797.32.28.0/2597.32.28.1 to 97.32.28.12697.32.28.127126
5897.32.28.128/2597.32.28.129 to 97.32.28.25497.32.28.255126
5997.32.29.0/2597.32.29.1 to 97.32.29.12697.32.29.127126
6097.32.29.128/2597.32.29.129 to 97.32.29.25497.32.29.255126
6197.32.30.0/2597.32.30.1 to 97.32.30.12697.32.30.127126
6297.32.30.128/2597.32.30.129 to 97.32.30.25497.32.30.255126
6397.32.31.0/2597.32.31.1 to 97.32.31.12697.32.31.127126
6497.32.31.128/2597.32.31.129 to 97.32.31.25497.32.31.255126
6597.32.32.0/2597.32.32.1 to 97.32.32.12697.32.32.127126
6697.32.32.128/2597.32.32.129 to 97.32.32.25497.32.32.255126
6797.32.33.0/2597.32.33.1 to 97.32.33.12697.32.33.127126
6897.32.33.128/2597.32.33.129 to 97.32.33.25497.32.33.255126
6997.32.34.0/2597.32.34.1 to 97.32.34.12697.32.34.127126
7097.32.34.128/2597.32.34.129 to 97.32.34.25497.32.34.255126
7197.32.35.0/2597.32.35.1 to 97.32.35.12697.32.35.127126
7297.32.35.128/2597.32.35.129 to 97.32.35.25497.32.35.255126
7397.32.36.0/2597.32.36.1 to 97.32.36.12697.32.36.127126
7497.32.36.128/2597.32.36.129 to 97.32.36.25497.32.36.255126
7597.32.37.0/2597.32.37.1 to 97.32.37.12697.32.37.127126
7697.32.37.128/2597.32.37.129 to 97.32.37.25497.32.37.255126
7797.32.38.0/2597.32.38.1 to 97.32.38.12697.32.38.127126
7897.32.38.128/2597.32.38.129 to 97.32.38.25497.32.38.255126
7997.32.39.0/2597.32.39.1 to 97.32.39.12697.32.39.127126
8097.32.39.128/2597.32.39.129 to 97.32.39.25497.32.39.255126
8197.32.40.0/2597.32.40.1 to 97.32.40.12697.32.40.127126
8297.32.40.128/2597.32.40.129 to 97.32.40.25497.32.40.255126
8397.32.41.0/2597.32.41.1 to 97.32.41.12697.32.41.127126
8497.32.41.128/2597.32.41.129 to 97.32.41.25497.32.41.255126
8597.32.42.0/2597.32.42.1 to 97.32.42.12697.32.42.127126
8697.32.42.128/2597.32.42.129 to 97.32.42.25497.32.42.255126
8797.32.43.0/2597.32.43.1 to 97.32.43.12697.32.43.127126
8897.32.43.128/2597.32.43.129 to 97.32.43.25497.32.43.255126
8997.32.44.0/2597.32.44.1 to 97.32.44.12697.32.44.127126
9097.32.44.128/2597.32.44.129 to 97.32.44.25497.32.44.255126
9197.32.45.0/2597.32.45.1 to 97.32.45.12697.32.45.127126
9297.32.45.128/2597.32.45.129 to 97.32.45.25497.32.45.255126
9397.32.46.0/2597.32.46.1 to 97.32.46.12697.32.46.127126
9497.32.46.128/2597.32.46.129 to 97.32.46.25497.32.46.255126
9597.32.47.0/2597.32.47.1 to 97.32.47.12697.32.47.127126
9697.32.47.128/2597.32.47.129 to 97.32.47.25497.32.47.255126
9797.32.48.0/2597.32.48.1 to 97.32.48.12697.32.48.127126
9897.32.48.128/2597.32.48.129 to 97.32.48.25497.32.48.255126
9997.32.49.0/2597.32.49.1 to 97.32.49.12697.32.49.127126
10097.32.49.128/2597.32.49.129 to 97.32.49.25497.32.49.255126
10197.32.50.0/2597.32.50.1 to 97.32.50.12697.32.50.127126
10297.32.50.128/2597.32.50.129 to 97.32.50.25497.32.50.255126
10397.32.51.0/2597.32.51.1 to 97.32.51.12697.32.51.127126
10497.32.51.128/2597.32.51.129 to 97.32.51.25497.32.51.255126
10597.32.52.0/2597.32.52.1 to 97.32.52.12697.32.52.127126
10697.32.52.128/2597.32.52.129 to 97.32.52.25497.32.52.255126
10797.32.53.0/2597.32.53.1 to 97.32.53.12697.32.53.127126
10897.32.53.128/2597.32.53.129 to 97.32.53.25497.32.53.255126
10997.32.54.0/2597.32.54.1 to 97.32.54.12697.32.54.127126
11097.32.54.128/2597.32.54.129 to 97.32.54.25497.32.54.255126
11197.32.55.0/2597.32.55.1 to 97.32.55.12697.32.55.127126
11297.32.55.128/2597.32.55.129 to 97.32.55.25497.32.55.255126
11397.32.56.0/2597.32.56.1 to 97.32.56.12697.32.56.127126
11497.32.56.128/2597.32.56.129 to 97.32.56.25497.32.56.255126
11597.32.57.0/2597.32.57.1 to 97.32.57.12697.32.57.127126
11697.32.57.128/2597.32.57.129 to 97.32.57.25497.32.57.255126
11797.32.58.0/2597.32.58.1 to 97.32.58.12697.32.58.127126
11897.32.58.128/2597.32.58.129 to 97.32.58.25497.32.58.255126
11997.32.59.0/2597.32.59.1 to 97.32.59.12697.32.59.127126
12097.32.59.128/2597.32.59.129 to 97.32.59.25497.32.59.255126
12197.32.60.0/2597.32.60.1 to 97.32.60.12697.32.60.127126
12297.32.60.128/2597.32.60.129 to 97.32.60.25497.32.60.255126
12397.32.61.0/2597.32.61.1 to 97.32.61.12697.32.61.127126
12497.32.61.128/2597.32.61.129 to 97.32.61.25497.32.61.255126
12597.32.62.0/2597.32.62.1 to 97.32.62.12697.32.62.127126
12697.32.62.128/2597.32.62.129 to 97.32.62.25497.32.62.255126
12797.32.63.0/2597.32.63.1 to 97.32.63.12697.32.63.127126
12897.32.63.128/2597.32.63.129 to 97.32.63.25497.32.63.255126
12997.32.64.0/2597.32.64.1 to 97.32.64.12697.32.64.127126
13097.32.64.128/2597.32.64.129 to 97.32.64.25497.32.64.255126
13197.32.65.0/2597.32.65.1 to 97.32.65.12697.32.65.127126
13297.32.65.128/2597.32.65.129 to 97.32.65.25497.32.65.255126
13397.32.66.0/2597.32.66.1 to 97.32.66.12697.32.66.127126
13497.32.66.128/2597.32.66.129 to 97.32.66.25497.32.66.255126
13597.32.67.0/2597.32.67.1 to 97.32.67.12697.32.67.127126
13697.32.67.128/2597.32.67.129 to 97.32.67.25497.32.67.255126
13797.32.68.0/2597.32.68.1 to 97.32.68.12697.32.68.127126
13897.32.68.128/2597.32.68.129 to 97.32.68.25497.32.68.255126
13997.32.69.0/2597.32.69.1 to 97.32.69.12697.32.69.127126
14097.32.69.128/2597.32.69.129 to 97.32.69.25497.32.69.255126
14197.32.70.0/2597.32.70.1 to 97.32.70.12697.32.70.127126
14297.32.70.128/2597.32.70.129 to 97.32.70.25497.32.70.255126
14397.32.71.0/2597.32.71.1 to 97.32.71.12697.32.71.127126
14497.32.71.128/2597.32.71.129 to 97.32.71.25497.32.71.255126
14597.32.72.0/2597.32.72.1 to 97.32.72.12697.32.72.127126
14697.32.72.128/2597.32.72.129 to 97.32.72.25497.32.72.255126
14797.32.73.0/2597.32.73.1 to 97.32.73.12697.32.73.127126
14897.32.73.128/2597.32.73.129 to 97.32.73.25497.32.73.255126
14997.32.74.0/2597.32.74.1 to 97.32.74.12697.32.74.127126
15097.32.74.128/2597.32.74.129 to 97.32.74.25497.32.74.255126
15197.32.75.0/2597.32.75.1 to 97.32.75.12697.32.75.127126
15297.32.75.128/2597.32.75.129 to 97.32.75.25497.32.75.255126
15397.32.76.0/2597.32.76.1 to 97.32.76.12697.32.76.127126
15497.32.76.128/2597.32.76.129 to 97.32.76.25497.32.76.255126
15597.32.77.0/2597.32.77.1 to 97.32.77.12697.32.77.127126
15697.32.77.128/2597.32.77.129 to 97.32.77.25497.32.77.255126
15797.32.78.0/2597.32.78.1 to 97.32.78.12697.32.78.127126
15897.32.78.128/2597.32.78.129 to 97.32.78.25497.32.78.255126
15997.32.79.0/2597.32.79.1 to 97.32.79.12697.32.79.127126
16097.32.79.128/2597.32.79.129 to 97.32.79.25497.32.79.255126
16197.32.80.0/2597.32.80.1 to 97.32.80.12697.32.80.127126
16297.32.80.128/2597.32.80.129 to 97.32.80.25497.32.80.255126
16397.32.81.0/2597.32.81.1 to 97.32.81.12697.32.81.127126
16497.32.81.128/2597.32.81.129 to 97.32.81.25497.32.81.255126
16597.32.82.0/2597.32.82.1 to 97.32.82.12697.32.82.127126
16697.32.82.128/2597.32.82.129 to 97.32.82.25497.32.82.255126
16797.32.83.0/2597.32.83.1 to 97.32.83.12697.32.83.127126
16897.32.83.128/2597.32.83.129 to 97.32.83.25497.32.83.255126
16997.32.84.0/2597.32.84.1 to 97.32.84.12697.32.84.127126
17097.32.84.128/2597.32.84.129 to 97.32.84.25497.32.84.255126
17197.32.85.0/2597.32.85.1 to 97.32.85.12697.32.85.127126
17297.32.85.128/2597.32.85.129 to 97.32.85.25497.32.85.255126
17397.32.86.0/2597.32.86.1 to 97.32.86.12697.32.86.127126
17497.32.86.128/2597.32.86.129 to 97.32.86.25497.32.86.255126
17597.32.87.0/2597.32.87.1 to 97.32.87.12697.32.87.127126
17697.32.87.128/2597.32.87.129 to 97.32.87.25497.32.87.255126
17797.32.88.0/2597.32.88.1 to 97.32.88.12697.32.88.127126
17897.32.88.128/2597.32.88.129 to 97.32.88.25497.32.88.255126
17997.32.89.0/2597.32.89.1 to 97.32.89.12697.32.89.127126
18097.32.89.128/2597.32.89.129 to 97.32.89.25497.32.89.255126
18197.32.90.0/2597.32.90.1 to 97.32.90.12697.32.90.127126
18297.32.90.128/2597.32.90.129 to 97.32.90.25497.32.90.255126
18397.32.91.0/2597.32.91.1 to 97.32.91.12697.32.91.127126
18497.32.91.128/2597.32.91.129 to 97.32.91.25497.32.91.255126
18597.32.92.0/2597.32.92.1 to 97.32.92.12697.32.92.127126
18697.32.92.128/2597.32.92.129 to 97.32.92.25497.32.92.255126
18797.32.93.0/2597.32.93.1 to 97.32.93.12697.32.93.127126
18897.32.93.128/2597.32.93.129 to 97.32.93.25497.32.93.255126
18997.32.94.0/2597.32.94.1 to 97.32.94.12697.32.94.127126
19097.32.94.128/2597.32.94.129 to 97.32.94.25497.32.94.255126
19197.32.95.0/2597.32.95.1 to 97.32.95.12697.32.95.127126
19297.32.95.128/2597.32.95.129 to 97.32.95.25497.32.95.255126
19397.32.96.0/2597.32.96.1 to 97.32.96.12697.32.96.127126
19497.32.96.128/2597.32.96.129 to 97.32.96.25497.32.96.255126
19597.32.97.0/2597.32.97.1 to 97.32.97.12697.32.97.127126
19697.32.97.128/2597.32.97.129 to 97.32.97.25497.32.97.255126
19797.32.98.0/2597.32.98.1 to 97.32.98.12697.32.98.127126
19897.32.98.128/2597.32.98.129 to 97.32.98.25497.32.98.255126
19997.32.99.0/2597.32.99.1 to 97.32.99.12697.32.99.127126
20097.32.99.128/2597.32.99.129 to 97.32.99.25497.32.99.255126
20197.32.100.0/2597.32.100.1 to 97.32.100.12697.32.100.127126
20297.32.100.128/2597.32.100.129 to 97.32.100.25497.32.100.255126
20397.32.101.0/2597.32.101.1 to 97.32.101.12697.32.101.127126
20497.32.101.128/2597.32.101.129 to 97.32.101.25497.32.101.255126
20597.32.102.0/2597.32.102.1 to 97.32.102.12697.32.102.127126
20697.32.102.128/2597.32.102.129 to 97.32.102.25497.32.102.255126
20797.32.103.0/2597.32.103.1 to 97.32.103.12697.32.103.127126
20897.32.103.128/2597.32.103.129 to 97.32.103.25497.32.103.255126
20997.32.104.0/2597.32.104.1 to 97.32.104.12697.32.104.127126
21097.32.104.128/2597.32.104.129 to 97.32.104.25497.32.104.255126
21197.32.105.0/2597.32.105.1 to 97.32.105.12697.32.105.127126
21297.32.105.128/2597.32.105.129 to 97.32.105.25497.32.105.255126
21397.32.106.0/2597.32.106.1 to 97.32.106.12697.32.106.127126
21497.32.106.128/2597.32.106.129 to 97.32.106.25497.32.106.255126
21597.32.107.0/2597.32.107.1 to 97.32.107.12697.32.107.127126
21697.32.107.128/2597.32.107.129 to 97.32.107.25497.32.107.255126
21797.32.108.0/2597.32.108.1 to 97.32.108.12697.32.108.127126
21897.32.108.128/2597.32.108.129 to 97.32.108.25497.32.108.255126
21997.32.109.0/2597.32.109.1 to 97.32.109.12697.32.109.127126
22097.32.109.128/2597.32.109.129 to 97.32.109.25497.32.109.255126
22197.32.110.0/2597.32.110.1 to 97.32.110.12697.32.110.127126
22297.32.110.128/2597.32.110.129 to 97.32.110.25497.32.110.255126
22397.32.111.0/2597.32.111.1 to 97.32.111.12697.32.111.127126
22497.32.111.128/2597.32.111.129 to 97.32.111.25497.32.111.255126
22597.32.112.0/2597.32.112.1 to 97.32.112.12697.32.112.127126
22697.32.112.128/2597.32.112.129 to 97.32.112.25497.32.112.255126
22797.32.113.0/2597.32.113.1 to 97.32.113.12697.32.113.127126
22897.32.113.128/2597.32.113.129 to 97.32.113.25497.32.113.255126
22997.32.114.0/2597.32.114.1 to 97.32.114.12697.32.114.127126
23097.32.114.128/2597.32.114.129 to 97.32.114.25497.32.114.255126
23197.32.115.0/2597.32.115.1 to 97.32.115.12697.32.115.127126
23297.32.115.128/2597.32.115.129 to 97.32.115.25497.32.115.255126
23397.32.116.0/2597.32.116.1 to 97.32.116.12697.32.116.127126
23497.32.116.128/2597.32.116.129 to 97.32.116.25497.32.116.255126
23597.32.117.0/2597.32.117.1 to 97.32.117.12697.32.117.127126
23697.32.117.128/2597.32.117.129 to 97.32.117.25497.32.117.255126
23797.32.118.0/2597.32.118.1 to 97.32.118.12697.32.118.127126
23897.32.118.128/2597.32.118.129 to 97.32.118.25497.32.118.255126
23997.32.119.0/2597.32.119.1 to 97.32.119.12697.32.119.127126
24097.32.119.128/2597.32.119.129 to 97.32.119.25497.32.119.255126
24197.32.120.0/2597.32.120.1 to 97.32.120.12697.32.120.127126
24297.32.120.128/2597.32.120.129 to 97.32.120.25497.32.120.255126
24397.32.121.0/2597.32.121.1 to 97.32.121.12697.32.121.127126
24497.32.121.128/2597.32.121.129 to 97.32.121.25497.32.121.255126
24597.32.122.0/2597.32.122.1 to 97.32.122.12697.32.122.127126
24697.32.122.128/2597.32.122.129 to 97.32.122.25497.32.122.255126
24797.32.123.0/2597.32.123.1 to 97.32.123.12697.32.123.127126
24897.32.123.128/2597.32.123.129 to 97.32.123.25497.32.123.255126
24997.32.124.0/2597.32.124.1 to 97.32.124.12697.32.124.127126
25097.32.124.128/2597.32.124.129 to 97.32.124.25497.32.124.255126
25197.32.125.0/2597.32.125.1 to 97.32.125.12697.32.125.127126
25297.32.125.128/2597.32.125.129 to 97.32.125.25497.32.125.255126
25397.32.126.0/2597.32.126.1 to 97.32.126.12697.32.126.127126
25497.32.126.128/2597.32.126.129 to 97.32.126.25497.32.126.255126
25597.32.127.0/2597.32.127.1 to 97.32.127.12697.32.127.127126
25697.32.127.128/2597.32.127.129 to 97.32.127.25497.32.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses